function [result] = Fourier1_check(M, ET1, ET2)

%
% check if given pair of ETs corresponds to a harmonic pair (Fourier, part 1)
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Dec 12, 2006

L = size(M,1);

s0=2;


nMax1=1; 
nMax2=1; 
PiMax1=Periodogram(M(1:L,ET1),nMax1);
PiMax2=Periodogram(M(1:L,ET2),nMax2);

k=2;  
while k<=floor(L/2)+1	% go through all freqs > 0
   d=Periodogram(M(1:L,ET1),k);
   if (d>PiMax1)
      PiMax1=d;
      nMax1=k;
  end

   d=Periodogram(M(1:L,ET2),k);
   if (d>PiMax2)
      PiMax2=d;
      nMax2=k;
  end   

   k=k+1;
end

if nMax1==1 | nMax2==1 
    result = 0; %k=1 <--> periodogram at w=0, skip it
    return;
end

if abs(nMax1-nMax2)<=s0
   result=1;
else
   result=0;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
