function [result] = Fourier1_check_T2(M, ET)
%
% check if given ET corresponds to harmonic with period T=2 (Fourier, part 1)
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Dec 12, 2006

L = size(M,1);

s0=2;


nMax=1;  
PiMax=Periodogram(M(1:L,ET),nMax);

k=2;
while k<=floor(L/2)+1	% go through all freqs > 0
   d=Periodogram(M(1:L,ET),k);
   if (d>PiMax)
      PiMax=d;
      nMax=k;
   end

   k=k+1;
end

if nMax==1
    result = 0; %k=1 <--> periodogram at w=0, skip it
    return;
end

if ( nMax>=floor(L/2)-s0 )
   result=1;
else
   result=0;
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
