function [F2_value] = Fourier2_value_T2(M, ET)
%
% calculate Fourier2 (VYG) value for the sintetic pair (ET,ET),
% which should be examined for the ET corresponding to the harm with T=2
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Sep 14, 2006
%

L = size(M,1);

k=floor(L/2);

d1=Periodogram(M(1:L,ET),k) + Periodogram(M(1:L,ET),k);
d1=d1/2;
d2=Periodogram(M(1:L,ET),k+1) + Periodogram(M(1:L,ET),k+1);
d2=d2/2;

F2_value=d1+d2;

