function [harm_ETs] = Fourier_identify_per(ETs, rho_atETs, period_atETs, ...
                                           T2ETs, rhoT2_atETs, ...
                                           rho0, Tleft, Tright)
%
% Fourier method for the identification of periodical components
%
%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Jun 23, 2006
%

if exist('Tleft', 'var') && exist('Tright', 'var')
    period_limit = 1;
else
    period_limit = 0;
end

harm_ETs=[];
j=1;

for ET1=ETs
    if rho_atETs(ET1)>rho0
        if ~period_limit
            harm_ETs(j)=ET1;
            j=j+1;
        else
            flag=0; % flag shows if period is in [Tleft/k, Tright/k]
            T = period_atETs(ET1);
            for k=1:ceil(Tleft/2)
                if Tleft/T<=k && Tright/T>=k
                    flag=1;
                end
            end
            if flag==1
                harm_ETs(j) = ET1;
                harm_ETs(j+1) = ET1+1;
                j=j+2;
            end
        end
    end
end

for ET=T2ETs
    if rhoT2_atETs(ET)>rho0
        if ~period_limit || (period_limit && Tleft/ceil(Tleft/2)<=2 && Tright/ceil(Tleft/2)>=2)
            harm_ETs(j)=ET;
            j=j+1;
        end
    end
end



