function ts = loadts_xls(datapath, TS_COLUMN)
%
%  Loads column from a given data file 
%
%  Parameters:
%    datapath -- full path to a data file
%    HEADER_LINES -- how many first lines must be skipped
%    TS_COLUMN -- number of a column containing data, starting with 1
%
%  Returns:
%    ts -- loaded time series (a column)
%
%  (c) Theodore Alexandrov (autossa@gmail.com)
%  Last modified: 4 May 2006  
%


%[alldata, headertext] = xlsread(datapath);
alldata = xlsread(datapath);
datasize=size(alldata, 1);

empty_values = sum(isnan( alldata(1:datasize,TS_COLUMN) ));
N=datasize-empty_values;

ts=alldata(1:N,TS_COLUMN);

i=1;
while isnan(ts(i))
   i=i+1;
end
ts=ts(i:length(ts));
