function save_autotrend(fileout, ...
                        ts, L, omega0, maxET, C0left, C0right, C0step, maxDelta, C0eps, ...
                        tr, trETs, C0max, C0maxDelta, Cvals_eachET, C0s, CDeltas)
                                            
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Jun 28, 2006

N=length(ts);

fid=fopen(fileout, 'w');

fprintf(fid, '%% Results of trend extraction using AutoSSA\n');
fprintf(fid, '%%\n');
fprintf(fid, ['%% N=', num2str(N), '\n']);
fprintf(fid, ['%% Parameters:\n']);
fprintf(fid, ['%%    L=', num2str(L), ', omega0=', num2str(omega0), '\n']);
fprintf(fid, ['%%    Examined first ', num2str(maxET), ' ETs\n']);
fprintf(fid, ['%%    Search of Cmax inside [', num2str(C0left), ', ', num2str(C0right),'] with step ', num2str(C0step), '\n']);
fprintf(fid, ['%%    R-measure delta threshold=', num2str(maxDelta), '\n']);
fprintf(fid, '%% Results:\n');
fprintf(fid, ['%%    C0max=', num2str(C0max), ', R-measure delta(', num2str(C0max), ')=', num2str(C0maxDelta), '\n']);
fprintf(fid, ['%%    C0=', num2str(C0max-C0eps), '\n']);
fprintf(fid, ['%%    Trend ETs: ', ETsnum2str(trETs), '\n']);
fprintf(fid, '%%\n');
fprintf(fid, '%% Saving time: %s\n', datestr(now));
fprintf(fid, '%%\n');

fprintf(fid, 'timeseries\ttrend\tresidual\n');

for i=1:N
    fprintf(fid, [num2str(ts(i)), '\t', num2str(tr(i)), '\t', num2str(ts(i)-tr(i)), '\n']);
end

fclose(fid);
